body {
    font-family: "Quicksand", Arial;
    margin: 0;
    padding: 0;
  }

  .shop-layout {
    position: relative;
    width: 100%;
    max-width: 1600px;
    margin: auto;
    margin-top: 10px;
    margin-bottom: 80px;
  }

  .shop-layout img {
    width: 100%;
    height: auto;
    border-radius: 25px;
  }

  .shop {
    position: absolute;
    border: 1px solid transparent;
    border-radius: 10px;
    cursor: pointer;
    transition: background-color 0.3s ease;
  }

  .shop.taken {
    background-color: rgba(255, 0, 0, 0.356);
  }

  .shop.available {
    background-color: rgba(0, 94, 255, 0);
  }

  .shop-tooltip {
    display: none;
    position: relative;
    background-color: #333;
    color: #fff;
    padding: 5px;
    border-radius: 5px;
    font-size: 12px;
  }

  .shop:hover .shop-tooltip {
    display: block;
  }

  .heading {
    text-align: center; 
    padding: 20px; 
    margin-top: 150px;
    color: #969595;
    font-size: 18px;
  }

  .agent-contact {
    margin: 40px auto;
    max-width: 800px;
    text-align: center;
    padding: 30px;
    background-image: url('/images/KFC 3D_22 - Photo.jpg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    border-radius: 16px;
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
  }
  
  .agent-contact h2 {
    font-size: 1.8em;
    color: #333;
    margin-bottom: 20px;
    font-weight: bold;
  }
  
  .agent-card {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 30px;
    margin: 0 auto;
    width: 80%;
    background-color: #ffffffb0;
    border-radius: 12px;
    box-shadow: 0px 2px 8px rgba(0, 0, 0, 0.15);
    transition: transform 0.2s ease-in-out;
    text-align: center;
  }
  
  .agent-card:hover {
    transform: scale(1.05);
  }
  
  .agent-card-link {
    text-decoration: none;
  }

  .agent-details h3 {
    margin: 0;
    font-size: 1.5em;
    color: #2a7750;
  }
  
  .agent-details p {
    margin: 5px 0;
    color: #555555;
  }
  
  .agent-details a {
    color: #31844b;
    text-decoration: none;
    transition: color 0.2s ease;
  }
  
  .agent-details a:hover {
    color: #2e8f5f;
    text-decoration: underline;
    font-weight: bold;
  }

  .mall-pdf {
    margin: 40px auto;
    max-width: 800px;
    text-align: center;
    padding: 30px;
    background-image: url('/images/KFC 3D_21 - Photo.jpg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    border-radius: 16px;
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
  }
  
  .mall-pdf h2 {
    font-size: 1.8em;
    color: #333;
    margin-bottom: 20px;
    font-weight: bold;
  }
  
  .mall-card {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 30px;
    margin: 20px auto;
    background-color: #ffffffb0;
    border-radius: 12px;
    box-shadow: 0px 2px 8px rgba(0, 0, 0, 0.15);
    transition: transform 0.2s ease-in-out;
    text-align: center;
    width: 40%;
  }
  
  .mall-card:hover {
    transform: scale(1.05);
  }
  
  .mall-card-link {
    text-decoration: none;
  }

  .mall-details {
    border-radius: 10px;
    background-color: #9cc1aab2;
    padding: 5px 40px;
  }

  .mall-details p {
    color: #2a7750;
    position: relative;
    padding-right: 15px;
  }

  .mall-details:hover{
    border-radius: 10px;
    background-color: #8ebc9fb2;
    padding: 5px 40px;
  }

  .mall-details p:hover {
    color: #2a7750;
  }

  .mall-details span {
    position: absolute;
    margin-left: 10px;
  }

  .mall-pdf a {
    text-decoration: none;
    transition: color 0.9s ease;
  }
  
  .mall-pdf a:hover {
    text-decoration: none;
    font-weight: bolder;
  }
  
  @media (max-width: 600px) {
    .agent-card {
      flex-direction: column;
      text-align: center;
    }
  
    .agent-details h3 {
      font-size: 1.3em;
    }
  
    .agent-contact h2 {
      font-size: 1.5em;
    }

    .mall-card {
      flex-direction: column;
      text-align: center;
    }
  
    .mall-pdf h2 {
      font-size: 1.5em;
    }
  }

  @media (max-width: 768px) {
    h1 {
      font-size: 24px;
    }

    .mall-layout {
      width: 95%; 
    }

    .shop-tooltip {
      font-size: 10px;
    }

  }

  @media (max-width: 480px) {
    h1 {
      font-size: 18px;
    }

    .shop-tooltip {
      font-size: 9px;
    }
  }